Page MenuHomeFreeBSD

MFC: r342597
ClosedPublic

Authored by ngie on Jan 10 2019, 1:21 AM.

Details

Reviewers
emaste
jtl
bjk
0mp
Group Reviewers
manpages
Commits
rS342953: MFC r342597:
Summary

Remove legacy rc.d infrastructure references from rc(8)

Legacy rc.d scripts (.sh extension) have not been supported since
r193118. Remove the outdated references to the legacy format, as they
are no longer valid.

PR: 193936

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ngie created this revision.Jan 10 2019, 1:21 AM
bjk accepted this revision.Jan 10 2019, 1:27 AM
bjk added a subscriber: bjk.
bjk added inline comments.
share/man/man8/rc.8
34 ↗(On Diff #52719)

This doesn't quite match with the date the review is created, but I expect it doesn't really matter.

This revision is now accepted and ready to land.Jan 10 2019, 1:27 AM
0mp accepted this revision.Jan 10 2019, 10:36 AM
emaste accepted this revision.Jan 10 2019, 3:05 PM

Approved by: emaste (mentor)

(with .Dd updated)

ngie requested review of this revision.EditedJan 10 2019, 5:12 PM
ngie retitled this revision from Remove legacy rc.d infrastructure references from rc(8) to MFC: r342597.
ngie edited the summary of this revision. (Show Details)

Approved by: emaste (mentor)

(with .Dd updated)

I forgot to mention when I opened the review that this is an MFC, not a commit to ^/head . I'll reset the reviewers so I make sure that this is handled properly before I commit instead of assuming that it's ok to commit as-is (want to follow the process :)..).

This is what I get for not using my mfc_log script to produce the commit message :D.

ngie edited the summary of this revision. (Show Details)Jan 10 2019, 5:14 PM
ngie marked an inline comment as done.
jtl accepted this revision.Jan 11 2019, 7:24 PM
This revision is now accepted and ready to land.Jan 11 2019, 7:24 PM
Closed by commit rS342953: MFC r342597: (authored by ngie, committed by ). · Explain WhyJan 12 2019, 12:40 AM
This revision was automatically updated to reflect the committed changes.